import java.util.Scanner;

/* NB: For the judge to run the program, do not modify the declaration of the class Main or
 *     method main() below. The class has to be declared as "class Main { ... }"
 *     and the method as "public static void main(String[] args) { ... }" */
class Main {

	public static void main(String[] args) {

		// Read from the standard input with java.util.Scanner
		Scanner scanner = new Scanner(System.in);

		// Read C into 'cases' and loop over the cases
		int case_no, cases = scanner.nextInt();
		for (case_no = 0; case_no < cases; case_no++) {

			// Each case has its own local variables i, n, d, e, ...
			int i;

			// Read n, D and then the array d[i] and e[i]
			int n = scanner.nextInt();
			int mindist = scanner.nextInt();
			int[] d = new int[n];
			for (i = 0; i < n; i++)
				d[i] = scanner.nextInt();
			int[] e = new int[n];
			for (i = 0; i < n; i++)
				e[i] = scanner.nextInt();

			// energy_with[i] is the maximum energy obtainable from turbines 0
			// .. i (whether using i or not)
			int[] energy_up_to = new int[n];
			energy_up_to[0] = e[0];

			// The last turbine left of i that is far enough from i
			int last_far_enough = -1;

			for (i = 1; i < n; i++) {
				// Advance last_far_enough if the following turbine would also
				// fit before i
				while (d[last_far_enough + 1] <= d[i] - mindist) {
					last_far_enough += 1;
				}

				// The best solution from turbines 0 .. i is the best of:
				// * either with turbine i, so e[i] plus the best solution from
				// 0 .. last_far_enough
				if (last_far_enough >= 0) {
					energy_up_to[i] = energy_up_to[last_far_enough] + e[i];
				} else {
					// special case if last_far_enough == -1, that is none to
					// the left of i are far enough
					energy_up_to[i] = e[i];
				}

				// * or without i -- as good as from turbines 0 .. i-1
				if (energy_up_to[i] < energy_up_to[i - 1]) {
					energy_up_to[i] = energy_up_to[i - 1];
				}
			}

			// Output the maximum energy output
			System.out.println(energy_up_to[n - 1]);

		}

		scanner.close();
	}
}
